Đến nội dung


Hình ảnh
- - - - -

Hỏi cách định vị một điểm trên polyline


  • Please log in to reply
3 replies to this topic

#1 BKXD98

BKXD98

    biết vẽ circle

  • Members
  • PipPip
  • 32 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 22 May 2009 - 11:08 AM

Hiện tôi đang cần viết 1 lisp định vị 1 điểm (toạ độ x, y) trên đường polyline khi biết khoảng cách từ điểm đó đến hai đầu đường polyline. Nói một cách khác là xác định 1 điểm trên tuyến khi biết lý trình của điểm đó.
Tôi biết 1 chút về lisp và trước mắt thì không hình dung thuật toán, ý tưởng để viết lisp theo nhu cầu trên như thế nào. Nếu bác nào có thể, vui lòng hướng dẫn giúp tôi. Xin cảm ơn.
  • 0

#2 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3804 (đỉnh cao)

Đã gửi 22 May 2009 - 11:29 AM

Hiện tôi đang cần viết 1 lisp định vị 1 điểm (toạ độ x, y) trên đường polyline khi biết khoảng cách từ điểm đó đến hai đầu đường polyline. Nói một cách khác là xác định 1 điểm trên tuyến khi biết lý trình của điểm đó.
Tôi biết 1 chút về lisp và trước mắt thì không hình dung thuật toán, ý tưởng để viết lisp theo nhu cầu trên như thế nào. Nếu bác nào có thể, vui lòng hướng dẫn giúp tôi. Xin cảm ơn.

Chào bạn BKXD98

Đầu tiên Bạn chọn Polyline :
(setq curve (car(entsel "\n Chon Polyline :")))

Sau đó bạn dùng hàm (vlax-curve-getPointAtDist curve Dist) để xác 1 điểm trên tuyến cách điểm đầu của Pline 1 khoảng Dist

Ví dụ : (setq po (vlax-curve-getPointAtDist curve 1000))

Ví dụ trên : ta xác định toạ độ của điểm trên Curve cách điểm đầu của Pline 1 khoảng là 1000

:mellow:

Nói về toạ độ điểm thì Tue_NV có 1 bài toán đố vui ở đây, mong các bạn hưởng ứng :

Cho một đoạn thẳng AB vẽ bằng lệnh Line có phương bất kì, có chiều dài L = 2009

Bài toán 1 : Dùng lệnh của CAD. Theo hướng của vectơ AB, xác định toạ độ của 1 điểm C trên AB sao cho
AC/AB = 12/10
Kết quả toạ độ điểm C sẽ hiển thị dưới dòng Command

Bài toán 2 : Dùng lệnh của CAD. Theo hướng của vectơ AB, xác định toạ độ của 1 điểm D trên AB sao cho AD = 3000
Kết quả toạ độ điểm D sẽ hiển thị dưới dòng Command.

Bạn hãy trả lời ở Topic này nhé : http://www.cadviet.c...amp;#entry60757
  • 3

#3 BKXD98

BKXD98

    biết vẽ circle

  • Members
  • PipPip
  • 32 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 22 May 2009 - 11:54 AM

À, tôi không biết là có lệnh vlax-curve-getPointAtDist, thanks bác nhiều.
  • 0

#4 maitra0186

maitra0186

    Chưa sử dụng CAD

  • Members
  • Pip
  • 4 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 25 December 2013 - 05:51 PM

    Chào các bạn, mình muốn tạo một topic mới nhưng không tìm được dòng Gởi bài mới như hướng dẫn sử dụng nên đành trả lời vào đây, mong admin đưa mình ra topic mới ^^!

Định vị nhanh lên bản vẽ

    Mình muốn hỏi về định vị, mình thấy ai đó dùng phần mềm hay lisp để ghi tọa độ định vị lên bản vẽ cad tự động với hình thức như file minh họa đính kèm ( không giống lệnh dor). Bạn nào biết cách làm chỉ mình với nhé, với hàng trăm điểm mà định vị thủ công bằng lệnh id thì phí thời gian quá. Xin chân thành cảm ơn!http://www.cadviet.c...7195_dinhvi.dwg


  • 0